]> git.lyx.org Git - lyx.git/blobdiff - autogen.sh
Whitespace
[lyx.git] / autogen.sh
index b9b81f6d76441307c0a87eacefd64e33a0539079..8e8942af3b1515b2222fd6ed13d6c0e32b2982ff 100755 (executable)
@@ -2,68 +2,27 @@
 
 ACLOCAL="aclocal -I m4 -I config"
 AUTOHEADER="autoheader"
-AUTOMAKE="automake --add-missing --copy --foreign"
+AUTOMAKE="automake --add-missing --force-missing --copy --foreign"
 AUTOCONF="autoconf"
 
 # Discover what version of automake we are using.
-automake_version=`$AUTOMAKE --version 2>/dev/null | head -n 1`
+automake_version=$($AUTOMAKE --version 2>/dev/null | head -n 1)
 
-test "$automake_version" != "" && {
+if test "$automake_version" != ""; then
     echo "Using $automake_version"
-} || {
-    echo "LyX requires automake >= 1.5"
+else
+    echo "LyX requires automake >= 1.14"
     exit 1
-}
-
-case $automake_version in
-    *' '1.[5-9]*|*' '1.10*)
-       ;;
-    *)
-
-       echo "This automake version is not supported by LyX."
-       echo "LyX only supports automake 1.5 to 1.10."
-       exit 1
-       ;;
-esac
+fi
 
 # Discover what version of autoconf we are using.
-autoversion=`$AUTOCONF --version 2>/dev/null | head -n 1`
+autoversion=$($AUTOCONF --version 2>/dev/null | head -n 1)
 
-test "$autoversion" != "" && {
+if test "$autoversion" != ""; then
     echo "Using $autoversion"
-} || {
-    echo "LyX requires autoconf >= 2.52"
-    exit 1
-}
-
-case $autoversion in
-    *' '2.5[2-9]|*' '2.60[ab]|*' '2.6[0-1])
-       ;;
-    *)
-       echo "This autoconf version is not supported by LyX."
-       echo "LyX only supports autoconf 2.52-2.61."
-       exit 1
-       ;;
-esac
-
-echo -n "Locating GNU m4... "
-GNUM4=
-for prog in $M4 gm4 gnum4 m4; do
-       # continue if $prog generates error (e.g. does not exist)
-       ( $prog --version ) < /dev/null > /dev/null 2>&1
-       if test $? -ne 0 ; then continue; fi
-
-       # /dev/null input prevents a hang of the script for some m4 compilers (e.g. on FreeBSD)
-       case `$prog --version < /dev/null 2>&1` in
-       *GNU*)  GNUM4=$prog
-               break ;;
-       esac
-done
-if test x$GNUM4 = x ; then
-       echo "not found."
-       exit 1
 else
-       echo `which $GNUM4`
+    echo "LyX requires autoconf >= 2.65"
+    exit 1
 fi
 
 # Delete old cache directories.
@@ -71,54 +30,46 @@ fi
 rm -rf autom4te.cache
 
 # Generate the Makefiles and configure files
+echo "Building macros..."
 if ( $ACLOCAL --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building macros..."
-       for dir in . ; do
-           echo "        $dir"
-           ( cd $dir ; $ACLOCAL )
-       done
-       echo "done."
+       $ACLOCAL
 else
        echo "aclocal not found -- aborting"
        exit 1
 fi
 
+echo "Building config header template..."
 if ( $AUTOHEADER --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building config header template..."
-       for dir in . ; do
-           echo "        $dir"
-           ( cd $dir ; $AUTOHEADER )
-       done
-       echo "done."
+       $AUTOHEADER
 else
        echo "autoheader not found -- aborting"
        exit 1
 fi
 
+echo "Building Makefile templates..."
 if ( $AUTOMAKE --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building Makefile templates..."
-       for dir in . ; do
-           echo "        $dir"
-           ( cd $dir ; $AUTOMAKE )
-       done
-       echo "done."
+       $AUTOMAKE
 else
        echo "automake not found -- aborting"
        exit 1
 fi
 
+echo "Building configure..."
 if ( $AUTOCONF --version ) < /dev/null > /dev/null 2>&1; then
-       echo "Building configure..."
-       for dir in . ; do
-           echo "       $dir"
-           ( cd $dir ; $AUTOCONF )
-       done
-       echo "done."
+       $AUTOCONF
 else
        echo "autoconf not found -- aborting"
        exit 1
 fi
 
+echo "Building po/POTFILES.in..."
+if ( make -s -f po/Rules-lyx srcdir=po top_srcdir=. po/POTFILES.in ); then
+    :
+else
+       echo "Building po/POTFILES.in failed -- aborting"
+       exit 1
+fi
+
 echo
-echo 'run "./configure ; make"'
+echo 'run "./configure && make"'
 echo